# HelpCommand (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands.annotation, annotation type: HelpCommand

Package co.aikar.commands.annotation

# Annotation Type HelpCommand

@Retention(RUNTIME) @Target({METHOD,ANNOTATION_TYPE}) public @interface HelpCommand
A Shortcut for specifying `CatchUnknown`, `Default` and `Subcommand` on a method. Subcommand carries the same value as this annotations value to define the list of subcommands to register for. a method marked with this annotation should also use a `CommandHelp` context parameter to show help.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`value`
The value to forward to the @Subcommand annotation.

## Element Details

### value

String value
The value to forward to the @Subcommand annotation. Lists which subcommands to register to trigger help

Returns:

Default:
  "help|?|-help|-h|-?"